{
  "name": "@eternal-twin/twinoid-core",
  "version": "0.1.0",
  "homepage": "https://gitlab.com/eternal-twin/etwin-api",
  "description": "TypeScript types and interfaces for Twinoid",
  "repository": {
    "type": "git",
    "url": "git://gitlab.com:eternal-twin/etwin-api.git"
  },
  "licenses": [
    {
      "type": "AGPL-3.0-or-later",
      "url": "https://spdx.org/licenses/AGPL-3.0-or-later.html"
    }
  ],
  "private": false,
  "scripts": {
    "lint": "eslint \"./src/**/*.ts\"",
    "format": "eslint --fix \"./src/**/*.ts\"",
    "build": "tsc --build src/lib/tsconfig.json",
    "pretest": "tsc --build src/test/tsconfig.json",
    "test": "mocha \"test/**/*.spec.js\""
  },
  "publishConfig": {
    "access": "public",
    "registry": "https://registry.npmjs.org/"
  },
  "pre-commit": {
    "run": [
      "lint"
    ]
  },
  "keywords": [],
  "engines": {
    "node": ">=14.0.0"
  },
  "dependencies": {
    "kryo": "^0.10.0"
  },
  "devDependencies": {
    "@types/mocha": "^7.0.2",
    "@types/node": "^14.0.13",
    "eslint": "^7.2.0",
    "kryo-json": "^0.11.0",
    "kryo-testing": "^0.11.0",
    "mocha": "^8.0.1",
    "typescript": "^3.9.5"
  },
  "type": "module",
  "exports": {
    ".": "./lib/index.js",
    "./lib/": "./lib/"
  },
  "main": "./lib/index.js",
  "module": "./lib/index.js",
  "types": "./lib/index.d.ts",
  "files": [
    "./lib/"
  ]
}
